Web lists-archives.com

Re: [Samba] smbclient for SCO OpenServer 5.0.7




> Can you compile a newer version of gcc and gmake , then use that to build samba 3.6.x ?    Although wondering if it may be safer to build samba 4.x.      The various patches for the BADLOCK vulnerability a few

> years ago made it really clear that samba 3.x was no longer feasible.

> Are regular users logging into the sco machine ?

> If samba 3.6.x or 4.x refuses to compile, could you use sftp as an alternative (e.g. with filezilla server on the windows server)?

---

I already built smbclient and that's all I was interested in building, but to throw more information on the thread:

I built gcc 3.4.6 but the c++ standard library could not be built. Supposedly a couple of early 4.0.x might build, but platform support was removed early in the 4.x line. That said, I'm having trouble using it successfully at times so the build isn't terribly useful at the moment.

I forgot to mention in the original post that this build of smbclient was only possible because I built some newer support tools (i.e. autotools, gnu make, etc.) than were supplied by the vendor of the platform. That said, often I cannot easily build current revisions of tools considering I have more to do than just build on an old unsupported UNIX that is no longer supported.

smbclient is not used interactively and regular users don't have shell access. 

Yes, FTPS or SFTP are usually used options... smbclient is rarely used.

I'm primarily interested in sharing news or details of the success since I see no online evidence of any samba after 3.0.x being built on this platform.
-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba